#include "Skybox.hpp"
#include "Transform.hpp"
#include "EditorMarker.hpp"
#include "EntityName.hpp"
#include "../ui/ComponentRegistration.hpp"
#include "../ui/SkyboxEditor.hpp"

REGISTER_COMPONENT_GROUP("Skybox", "Environment", SkyboxComponent, SkyboxEditor)
{
	registry.registerComponent<SkyboxComponent>(
		"Skybox", "Environment", std::make_unique<SkyboxEditor>(),
		// Adder
		[](flecs::entity e) {
			if (!e.has<SkyboxComponent>()) {
				e.set<SkyboxComponent>({});
			}
		},
		// Remover
		[](flecs::entity e) {
			if (e.has<SkyboxComponent>()) {
				e.remove<SkyboxComponent>();
			}
		});
}
